/************************************************************************/
/*									*/
/*  This is the header file for the FEC library				*/
/*									*/
/*  09. Jun. 05  L. Musa & H. Santos  created				*/
/*									*/
/************************************************************************/

/***********************************/ 
/*Official functions of the library*/
/***********************************/ 
u_int Write_ALTRO_Reg(u_int debug, u_int ch_addr, u_int reg_addr, u_int reg_data);
u_int Read_ALTRO_Reg(u_int debug, u_int ch_addr, u_int reg_addr, u_int *reg_data);
u_int Write_ALTRO_PMEM(u_int debug, u_int bcast, u_int ch_addr, u_int nwords, char *fname);
u_int Read_ALTRO_PMEM(u_int debug, u_int ch_addr, u_int nwords, char fname[]); 
u_int FEC_ON_RESET(u_int debug);
u_int FEC_Event_Readout(u_int debug, u_int trg_mode, u_int rdo_mode, u_int nevents, u_int nsamples, char fname[]);
u_int FEC_Event_Readout_2(u_int debug, u_int fec_addr, u_int trg_mode, u_int rdo_mode, u_int nevents, u_int nsamples, char fname[]);
u_int FEC_BC_Reg_Write(u_int debug, u_int fec_addr, u_int reg_addr, u_int data);
u_int FEC_BC_Reg_Read(u_int debug, u_int fec_addr, u_int reg_addr, u_int *reg_data);
u_int FEC_BC_Mon(u_int debug, u_int fec_addr, float *temp, float *ana_v,  float *ana_i, float *dig_v, float *dig_i);
u_int FEC_FM_Write(u_int debug, u_int fec_addr, u_int nwords, char fname[]);
u_int FEC_FM_Read(u_int debug, u_int fec_addr, u_int nwords, char fname[]);
